package cn.com.poc.agent_application.service;

import cn.com.poc.agent_application.query.MallAgentApplicationQueryCondition;
import cn.com.poc.agent_application.query.MallAgentApplicationQueryItem;
import cn.com.yict.framemax.core.service.BaseService;
import cn.com.poc.agent_application.entity.BizAgentApplicationMallEntity;
import cn.com.yict.framemax.data.model.PagingInfo;

import java.util.List;

public interface BizAgentApplicationMallService extends BaseService {

    BizAgentApplicationMallEntity get(java.lang.Integer id) throws Exception;

    BizAgentApplicationMallEntity getByAgentPublishId(Integer agentPublishId) throws Exception;

    List<BizAgentApplicationMallEntity> findByExample(BizAgentApplicationMallEntity example, PagingInfo pagingInfo) throws Exception;

    List<BizAgentApplicationMallEntity> findByExample(PagingInfo pagingInfo) throws Exception;

    BizAgentApplicationMallEntity save(BizAgentApplicationMallEntity entity) throws Exception;

    BizAgentApplicationMallEntity update(BizAgentApplicationMallEntity entity) throws Exception;

    void deletedByAgentPublishId(java.lang.Integer agentPublishId) throws Exception;

    void deletedById(java.lang.Integer id) throws Exception;

    List<BizAgentApplicationMallEntity> getList() throws Exception;

    List<MallAgentApplicationQueryItem> mallAgentApplicationQuery(MallAgentApplicationQueryCondition condition, PagingInfo pagingInfo);

}